/**
 * Cookie banner
 */
 .cn-info {
    background: #fff;
    border: 1px solid rgba(255,255,255,.21);
    border-radius: 10px;
    bottom: 30px;
    box-shadow: 0px 5px 20px rgba(49, 83, 78, 0.5);
    font-size: 16px;
    font-weight: 400;
    height: auto;
    left: 50%;
    letter-spacing: 0;
    line-height: 1.5;
    margin: 0;
    max-width: 1020px;
    min-width: auto;
    padding: 30px 30px 20px 30px;
    position: fixed;
    text-align: center;
    transform: translateX(-50%);
    width: 80%;
    z-index: 100000000000;
}

.cn-info *,
.cn-info-extended * {
    box-sizing: border-box;
}

.cn-info.is-hidden {
    display: none;
}

.cn-info,
.cn-info * {
    box-sizing: border-box;
}

.cn-info .btn,
.cn-info-extended .btn {
    border-width: 3px;
    border-style: solid;
    font-weight: bold;
    padding: .5rem 1rem;
}

.cn-info .btn:is(:active, :focus, :hover),
.cn-info-extended .btn:is(:active, :focus, :hover) {
    background: var(--wp--preset--color--accent-2)!important;
    color: #fff!important;
}

.cn-info-text p {
    margin-top: 0;
}

.cn-info-buttons {
    margin-top: 20px;
    text-align: center;
}

.cn-info-buttons .btn {
    display: inline-block;
}

.cn-info-extended .btn,
.cn-info-buttons .btn {
    margin: 10px;
    text-decoration: none!important;
    white-space: nowrap;
}

.cn-info-extended {
    background: #fff;
    box-shadow: 0px 5px 20px rgba(49, 83, 78, 0.5);
    border: 1px solid rgba(255,255,255,.21);
    border-radius: 10px;
    font-size: 16px;
    line-height: 1.4;
    left: 50%;
    max-height: 90vh;
    max-width: 960px;
    overflow: hidden;
    padding: 0 0 80px 0;
    position: fixed;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 90%;
    z-index: 100000000000;
}

.cn-info-extended.is-hidden {
    opacity: 0;
    pointer-events: none;
    top: 100%;
}

.cn-info-extended-wrapper {
    height: calc(90vh - 80px);
    overflow: auto;
    position: relative;
    padding: 30px;
}

.cn-info-extended-text>p:first-child {
    margin-top: 0;
}

.cn-info-extended-buttons {
    align-items: center;
    background: #fff;
    box-shadow: 0 -8px 8px rgba(0, 0, 0, .075);
    bottom: 0;
    display: flex;
    height: 80px;
    left: 0;
    padding: 0 30px;
    position: absolute;
    right: 0;
    width: 100%;
    z-index: 100000000001;
}

.cn-info-extended-buttons .btn+.btn {
    margin-left: auto;
}

.cn-info-extended-checkboxes {
    list-style-type: none;
    margin: 30px -30px;
    padding: 0;
}

.cn-info-extended .cn-consent {
    padding: 15px 30px 20px 30px;
    position: relative;
}

.cn-info-extended .cn-consent input[type="checkbox"] {
    opacity: 0;
    left: 0;
    top: 25px;
    width: 15px;
}

.cn-info-extended .cn-consent input[type="checkbox"]:before,
.cn-info-extended .cn-consent input[type="checkbox"]:after {
    display: none;
}

.cn-info-extended .cn-consent input[type="checkbox"]:checked+.cn-consent-label-text:before {
    opacity: 1;
}

.cn-info-extended .cn-consent input[type="checkbox"]:disabled+.cn-consent-label-text:after,
.cn-info-extended .cn-consent input[type="checkbox"]:disabled+.cn-consent-label-text:before {
    opacity: .5;
    cursor: not-allowed;
}

.cn-info-extended .cn-consent-label {
    position: relative;
}

.cn-info-extended .cn-consent:nth-child(odd) {
    background: #f5f5f5;
}

.cn-info-extended .cn-consent-label-text {
    color: #222;
    font-size: 16px;
    font-weight: bold;
    margin-left: 15px;
}

.cn-info-extended .cn-consent-label-text:before {
    border: 2px solid #333;
    border-width: 0 2px 2px 0;
    content: "";
    height: 10px;
    left: 7px;
    opacity: 0;
    padding: 0;
    position: absolute;
    top: 15px;
    transform: translateY(-11px) rotate(45deg);
    transition: all .25s ease;
    width: 7px;
    z-index: 1;
}

.cn-info-extended .cn-consent-label-text:after {
    background: #fff;
    border: 2px solid #333;
    border-radius: 2px;
    content: "";
    height: 20px;
    left: 0;
    position: absolute;
    top: 0px;
    transition: all .25s ease;
    width: 20px;
}

.cn-info-extended .cn-consent-description {
    font-size: 14px;
    margin: 10px 0 0 0;
}

.cn-info-extended .cn-info-extended-button-accept-all {
    display: inline-block;
    margin: 10px 0 0 0;
}

.cn-info-extended-buttons .btn {
    margin-left: 0;
    margin-right: 0;
}

.cn-info-extended-buttons .btn+.btn {
    margin-left: auto;
}

@media (max-width: 960px) {
    .cn-info {
        bottom: 0;
        width: 100%;
    }
}

@media (max-width: 720px) {

    .cn-info,
    .cn-info-extended {
        font-size: 14px;
    }

    .cn-info-extended {
        max-height: 98%;
        max-width: 98%;
        width: 98%;
    }

    .cn-info-extended-wrapper {
        height: calc(98vh - 80px);
    }

    .cn-info-extended .cn-consent-label-text:before {
        top: 12px;
    }

    .cn-info-extended .cn-consent-label-text:after {
        top: -3px;
    }
}

@media (max-width: 600px) {
    .cn-info {
        padding: 20px 10px 10px 10px;
    }

    .cn-info,
    .cn-info-extended {
        font-size: 13px;
    }

    .cn-info-buttons {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin-top: 10px;
    }

    .cn-info-buttons .btn {
        margin: 5px;
    }

    .cn-info-buttons .btn:nth-child(3) {
        width: 234px;
    }
}

/* Support for videos */
.yt-player-cn-info-notice {
  align-items: center;
  background: #111;
  border: 1px solid #d91822;
  border-radius: 10px;
  color: #222;
  display: none;
  flex-wrap: wrap;
  font-size: 16px;
  font-weight: 600;
  height: 100%;
  justify-content: center;
  left: 0;
  line-height: 1.4;
  margin: 0;
  padding: 10px 20px;
  position: absolute;
  top: 0;
  text-align: center;
  width: 100%;
  z-index: 99;
}

.yt-player-cn-info-notice {
  min-height: 200px;
}

.yt-player-cn-info-notice p {
  width: 100%;
}

.yt-player-cn-info-notice .button {
    margin: 10px auto;
}

.yt-player-cn-info-notice.is-active {
  display: flex;
}

@media screen and (max-width: 720px) {
  .yt-player-cn-info-notice {
    font-size: 12px;
  	line-height: 1.3;
    min-height: 160px;
    min-width: 240px;
  }
}

@media screen and (max-width: 500px) {
  .yt-player-cn-info-notice {
    padding: 10px;
    line-height: 1.3;
  }

  .yt-player-cn-info-notice p {
    font-size: 13px;
    line-height: 1.3;
    margin: 0 0 10px 0;
  }

  .yt-player-cn-info-notice .button {
    line-height: 40px;
    margin-top: 15px;
    padding-bottom: 0;
    padding-top: 0;
    height: 40px;
  }
}

@media screen and (max-width: 400px) {
  .yt-player-cn-info-notice {
    padding: 10px 5px;
  }
}
